curl --request POST \
--url https://{projectHost}/collections/{collectionName}/docs/delete \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"ids": [
"example-doc-id-1",
"example-doc-id-2"
]
}
'{
"message": "Delete request is accepted"
}{
"message": "Invalid request"
}{
"message": "Authentication failed"
}{
"message": "Resource not found"
}{
"message": "<string>"
}{
"message": "Too many requests"
}{
"message": "Internal server error"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Documents
Delete documents
Delete documents by document IDs or query filter from a collection.
POST
/
collections
/
{collectionName}
/
docs
/
delete
curl --request POST \
--url https://{projectHost}/collections/{collectionName}/docs/delete \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"ids": [
"example-doc-id-1",
"example-doc-id-2"
]
}
'{
"message": "Delete request is accepted"
}{
"message": "Invalid request"
}{
"message": "Authentication failed"
}{
"message": "Resource not found"
}{
"message": "<string>"
}{
"message": "Too many requests"
}{
"message": "Internal server error"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Project API Key.
Path Parameters
Collection name.
Body
application/json
- Option 1
- Option 2
Specify exactly one of ids or filter. partitionFilter only narrows that selection and cannot be used alone.
Response
Delete request accepted.
Was this page helpful?